# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RayIntersection Class Reference

The RayIntersection encapsulates all the information relative to a Ray/Actor intersection. More...

`#include <RayIntersector.hpp>`

Inheritance diagram for vl::RayIntersection:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| RayIntersection ()
void | setActor (Actor *a)
| The intersected Actor.
const Actor * | actor () const
| The intersected Actor.
Actor * | actor ()
| The intersected Actor.
const vec3 & | intersectionPoint () const
| The intersection point, in world coordinates.
void | setIntersectionPoint (const vec3 &v)
| The intersection point, in world coordinates.
float | distance () const
| The intersection distance.
void | setDistance (float dist)
| The intersection distance.
## Protected Attributes
vec3 | mIntersectionPoint
Actor * | mActor
float | mDistance

## Detailed Description

The RayIntersection encapsulates all the information relative to a Ray/Actor intersection.

## Constructor & Destructor Documentation

vl::RayIntersection::RayIntersection | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RayIntersection::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::RayIntersectionGeometry.

void vl::RayIntersection::setActor | ( | Actor * | a | ) | `[inline]`

The intersected Actor.

const Actor* vl::RayIntersection::actor | ( |  | ) | const`[inline]`

The intersected Actor.

Actor* vl::RayIntersection::actor | ( |  | ) | `[inline]`

The intersected Actor.

const vec3& vl::RayIntersection::intersectionPoint | ( |  | ) | const`[inline]`

The intersection point, in world coordinates.

void vl::RayIntersection::setIntersectionPoint | ( | const vec3 & | v | ) | `[inline]`

The intersection point, in world coordinates.

float vl::RayIntersection::distance | ( |  | ) | const`[inline]`

The intersection distance.

void vl::RayIntersection::setDistance | ( | float | dist | ) | `[inline]`

The intersection distance.

## Member Data Documentation

vec3 vl::RayIntersection::mIntersectionPoint`[protected]`

Reimplemented in vl::RayIntersectionGeometry.

Actor* vl::RayIntersection::mActor`[protected]`

float vl::RayIntersection::mDistance`[protected]`

Reimplemented in vl::RayIntersectionGeometry.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RayIntersector.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:48 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.